#include "EsoAcsammm_Header.hpp"
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void jsp_res(jsp* yy, jsp* der_x, jsp* x, jsp* p, int * condit, int * lock, int * prev, int& n_x, int& n_p, int& n_c)
#pragma ad indep x p
#pragma ad dep yy
{
   int i_E=0; 
   int i_C=0; 
   int i__=0; 
   int j__=0; 
   int k__=0; 
   int m__=0; 
   int r_i=0; 
   int r_j=0; 
   int i_a=0; 
   int i_b=0; 
   int i_loop=0; 
   int i__switch=0; 
   int i__start=0; 
   int i__end=0; 
   int i__step=0; 
   int while_end=0; 
   int i_cont=0; 
   int j_cont=0; 
   int k_cont=0; 
   jsp var_alpha=0; 
   jsp var_k1=0; 
   jsp var_k2=0; 
   jsp var_m=0; 
   jsp par_a=0; 
   jsp var_s=0; 
   jsp der_var_s=0; 
   jsp var_t=0; 
   jsp der_var_t=0; 
   jsp var_v=0; 
   jsp der_var_v=0; 
   jsp var_obj=0; 
   jsp der_var_obj=0; 
   jsp var_deriv=0; 
   jsp der_var_deriv=0; 
   jsp var_div0=0; 
   jsp var_tanh1=0; 
   jsp var_i_expr=0; 
   int i_i=0; 
   int i_j=0; 
   int i_z=0; 
   var_alpha=0.36;
   var_k1=15;
   var_k2=1;
   var_m=1000;
   par_a=p[0];
   var_s=x[0];
   der_var_s=der_x[0];
   var_t=x[1];
   der_var_t=der_x[1];
   var_v=x[2];
   der_var_v=der_x[2];
   var_obj=x[3];
   der_var_obj=der_x[3];
   var_deriv=x[4];
   der_var_deriv=der_x[4];
   yy[i_E]=der_var_s-(var_v);
   i_E=i_E+1;
   jsp_acs_div(var_v,var_m,var_div0);
   yy[i_E]=der_var_v-(par_a-var_alpha*var_v*var_div0);
   i_E=i_E+1;
   yy[i_E]=der_var_t-(1);
   i_E=i_E+1;
   yy[i_E]=der_var_obj-(var_deriv);
   i_E=i_E+1;
   var_i_expr=var_m*par_a;
   jsp_acs_tanh(var_i_expr,var_tanh1);
   yy[i_E]=var_deriv-(var_k2+0.5*var_k1*par_a*(1+var_tanh1));
   i_E=i_E+1;
   n_c=i_C;
}
